:root {
    --gap: 20px 2%;
}

body {
    position: relative;
    background: url(../img/background.png) no-repeat center center;
    background-size: cover;
    background-attachment: fixed;
    font-family: Roboto, "sanser-serif";
}
.btn-mobile,
.btn-to-step2 {
    display: none;
}
.main {
    position: relative;
    min-height: 100vh;
    padding: var(--gap);
    display: flex;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    z-index: 5;
}

.contents-left,
.contents-right {
    flex-basis: 50%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

#modal-success .modal-content {
    background-color: unset;
    outline: none;
    border: none;
    max-width: 500px;
}
#modal-success.modal-open .modal {
    background: rgba(0, 0, 0, 0.6);
}

#modal-success .close {
    border: none;
    outline: none;
    position: absolute;
    top: 0;
    right: 0;
    color: #333;
    opacity: 1;
    z-index: 99;
    cursor: pointer;
    width: 22px;
    height: 22px;
    background: white;
    border-radius: 50%;
    transition: all 100ms ease-out;
}
#modal-success .close span {
    display: block;
    width: 22px;
    height: 22px;
    font-size: 22px;
}
#modal-success .close:hover {
    color: white;
    transform-origin: center center;
    background: red;
    animation: roto 300ms linear forwards;
}
.md-contents {
    width: 100%;
    height: auto;
    border-radius: 5px;
    border: 1px solid #4ea792;
    background: rgba(162, 235, 220, 0.4);
    backdrop-filter: blur(8px);
    padding: 30px;
    font-size: 20px;
}
.md-contents a {
    color: #08ff94;
    text-decoration: underline !important;
}
.md-contents p:first-child {
    text-transform: uppercase;
    text-align: center;
    color: #08ff94;
    font-weight: 600;
    margin-bottom: 20px;
}
.md-contents p:last-child {
    font-weight: 13px;
    color: #fff;
}
.md-contents p:last-child span {
    color: #fee71b;
    font-weight: 600;
}

/*#region REGISER ------------------*/
#register {
    position: relative;
    z-index: 1;
    margin-top: 10px;
}
.register-form {
    position: relative;
    max-width: 420px;
    display: block;
    margin: 0px auto;
    padding: 20px 0;
    box-shadow: none;
    border-radius: 8px;
    border: 1px solid #ffffff;
    background: rgba(13, 13, 13, 0.4);
    backdrop-filter: blur(8px);
    box-shadow:
        0 0 0.2rem #fff,
        0 0 0.2rem #fff,
        0 0 2rem #19b132,
        0 0 0.8rem #19b132,
        0 0 2.8rem #19b132,
        inset 0 0 1.3rem #19b132;
}
.modal-backdrop.show {
    opacity: 0.9;
}
.register-form > .close {
    color: #fff;
    opacity: 1;
    margin-top: 16px;
    margin-right: 31px;
    z-index: 9999;
    position: relative;
    cursor: pointer;
}
.text-register {
    padding-left: 40px;
}
.inner-wrap {
    width: 380px;
    margin: 0 auto;
    position: relative;
    z-index: 999;
    padding-top: 38px;
    padding: 15px 30px 0;
}

.register-form input[type="text"],
.register-form input[type="password"],
.register-form input[type="email"],
.register-form textarea,
.register-form select {
    position: relative;
    width: 100%;
    height: 43px;
    background-size: contain;
    border: none;
    padding-left: 20px;
    margin: 0 auto;
    margin-bottom: 15px;
    font-size: 18px;
    display: block;
    line-height: 1;
    border-radius: 6px;
    position: relative;
    z-index: 999;
    color: gray;
    border: 1px solid #4ea792;
    background: #fff;
}

.errorMsg {
    padding: 8px;
    background: #e74e4e;
    border: 1px solid #860404;
    color: #fff;
    display: none;
    font-size: 14px;
    position: fixed;
    top: 10px;
    left: 10px;
    z-index: 9999999;
    box-sizing: border-box;
    right: 10px;
    -moz-box-sizing: border-box;
    border-radius: 5px;
}

.successMsg {
    padding: 8px;
    background: #6bb34b;
    border: 1px solid #1b4a07;
    color: #fff;
    display: none;
    font-size: 14px;
    position: fixed;
    top: 10px;
    left: 10px;
    z-index: 999;
    box-sizing: border-box;
    right: 10px;
    -moz-box-sizing: border-box;
    border-radius: 5px;
}

.birthDate select {
    width: 31.4%;
    display: block;
    float: left;
    margin-right: 8px;
    padding-left: 5px;
    font-size: 13px;
    line-height: 19px;
    position: relative;
}

.birthDate select:last-child {
    margin-right: 0;
}

.msg-error {
    color: #fff;
    font-size: 12px;
    margin-top: -5px;
    display: none;
    padding: 0 10px;
    margin-bottom: 5px;
}

.msg-error-focus {
    position: relative;
    color: #fff;
    font-size: 12px;
    margin-top: -5px;
    display: block;
    padding: 0 10px;
    margin-bottom: 5px;
    background: #015e2f;
}

.capbox-inner {
    position: relative;
}

#CaptchaDiv {
    font-size: 16px;
    color: #fff;
    background-color: #4ea792;
    padding: 4px;
    -moz-border-radius: 0 4px 4px 0;
    border-radius: 0 4px 4px 0;
    -webkit-border-radius: 0 4px 4px 0;
    width: 85px;
    float: right;
    height: 43px;
    text-align: center;
    position: absolute;
    top: 0;
    right: 0;
    line-height: 41px;
    z-index: 999;
}

.btn-dangky {
    outline: none;
    border: none;
    border-radius: 4px;
    width: 100%;
    margin: 10px 0 10px 0;
    font-size: 18px;
    font-weight: 600;
    height: 60px;
    cursor: pointer;
    background: #fee71b;
    background: url(../img/btn.png) no-repeat center center;
    background-size: contain;
    transition: all 0.2s ease-in-out;
}
.btn-dangky:hover {
    transform: scale(1.05) translateY(-2px);
}
/* .btn-dangky:hover {
    background: #3ff977;
    color: #555;
}
.dangky:active {
    btn-dangkyanimation: clicked 100ms ease;
} */

.register-form input[name="password"] {
    background: #fff url(../img/eye.png) no-repeat center right;
}
.register-form input[name="phone"] {
    background: #fff url(../img/flag-vn.png) no-repeat center right;
}
.dacotk {
    color: white;
    margin-bottom: 10px;
    font-size: 14px;
}
.dacotk a {
    color: #006834;
    text-decoration: underline !important;
}

.burger {
    position: absolute;
    top: 30px;
    right: 20px;
    display: none;
}
.burger span {
    display: block;
    width: 33px;
    height: 4px;
    margin-bottom: 5px;
    position: relative;

    background: #cdcdcd;
    border-radius: 3px;

    z-index: 1;

    transform-origin: 4px 0px;

    transition:
        transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1),
        background 0.5s cubic-bezier(0.77, 0.2, 0.05, 1),
        opacity 0.55s ease;
}

.burger span:first-child {
    transform-origin: 0% 0%;
}

.burger span:nth-last-child(2) {
    transform-origin: 0% 100%;
}
.burger.open span {
    opacity: 1;
    transform: rotate(45deg) translate(-7px, 1px);
}
.burger.open span:nth-child(2) {
    opacity: 0;
    transform: rotate(0deg) scale(0.2, 0.2);
}
.burger.open span:nth-child(3) {
    transform: rotate(-45deg) translate(-5px, -8px);
}

.btn-to-step2 {
    color: #333;
    outline: none;
    border: none;
    border-radius: 10px;
    width: 100%;
    margin: 10px 0 10px 0;
    font-size: 18px;
    font-weight: 600;
    height: 50px;
    line-height: 50px;
    cursor: pointer;
    background: #fee71b;
    text-transform: uppercase;
    text-align: center;
}

/*#endregion REGISER ------------------*/

@media (max-width: 1024px) {
    .mob-step2,
    .btn-desktop {
        display: none;
    }
    .btn-mobile,
    .btn-to-step2 {
        display: block;
    }
}
@media (max-width: 768px) {
    .main {
        flex-direction: column-reverse;
        padding: 30px 10px;
    }
}

@keyframes roto {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(180deg);
    }
}

@keyframes zoom {
    0% {
        transform: scale(1, 1);
        box-shadow: 0 3px 4px rgba(0, 0, 0, 0.2);
    }
    100% {
        transform: scale(1.1, 1.1);
        box-shadow: 0 5px 7px rgba(0, 0, 0, 0.2);
    }
}

@keyframes clicked {
    0% {
        transform: scale(1, 1);
        transform: translateY(0px);
    }
    50% {
        transform: scale(0.95, 0.95);
        transform: translateY(3px);
    }
    100% {
        transform: scale(1.1, 1.1);
        transform: translateY(0px);
    }
}




/*SLIDE BUTTON*/

.slide-button {
  position: relative;
    width: 300px;
    height: 60px;
    background: #00dd155c;
    color: #fff;
    padding: 14px;
    border-radius: 50px;
    font-family: sans-serif;
    user-select: none;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 35px;
}

.slide-button .label {
  pointer-events: none;
  font-size: 17x;
    font-weight: 600;
    color: #dfff00;
}

.slide-button .slider {
  width: 50px;
  height: 50px;
  background: #4caf50;
  border-radius: 50%;
  position: absolute;
  left: 5px;
  top: 50%;
  transform: translateY(-50%);
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 22px;
  cursor: pointer;
  transition: right 0.3s ease;
}
.slide-button.active,
.slide-button .slider.active {
  background: #01be14;
  box-shadow: 0 0 30px 2px #01be14;
}
